package com.liquidnet.common.third.zxlnft.dto;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: RegisterVerifyCodeReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:20
 */
@Data
public class Nft001RegisterVerifyCodeRespDto implements Serializable {
    private static final Nft001RegisterVerifyCodeRespDto obj = new Nft001RegisterVerifyCodeRespDto();
    public static Nft001RegisterVerifyCodeRespDto getNew() {
        try {
            return (Nft001RegisterVerifyCodeRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft001RegisterVerifyCodeRespDto();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
